﻿namespace TestProject;

/// <summary>
/// 커스텀 어트리뷰트
/// </summary>
public class CustomAttribute : Attribute
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Property
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 텍스트 - Text

    /// <summary>
    /// 텍스트
    /// </summary>
    public string Text { get; protected set; }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - CustomAttribute(text)

    /// <summary>
    /// 생성자
    /// </summary>
    /// <param name="text">텍스트</param>
    public CustomAttribute(string text)
    {
        Text = text;
    }

    #endregion
}