﻿using System.Linq.Expressions;
using System.Reflection;

namespace TestProject;

/// <summary>
/// 프로그램
/// </summary>
class Program
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Static
    //////////////////////////////////////////////////////////////////////////////// Private

    #region 프로그램 시작하기 - Main()

    /// <summary>
    /// 프로그램 시작하기
    /// </summary>
    private static void Main()
    {
        Type sourceType = typeof(Product);

        PropertyInfo propertyInfo = sourceType.GetProperty("Name");

        Expression<Func<Product, string>> expression = p => p.Name;

        MemberExpression memberExpression = expression.Body as MemberExpression;

        object[] customAttributeArray = memberExpression.Member.GetCustomAttributes(typeof(CustomAttribute), false);

        if(customAttributeArray.Length > 0)
        {
            Console.WriteLine((customAttributeArray[0] as CustomAttribute).Text);
        }
    }

    #endregion
}